Subject: Re: [Nickolai Dobrynin] Re: bug#75397: 29.4; GNUS message mode lacks Cyrillic support (GNU/Linux)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2025 11:05:29 +0200

> From: "Nickolai Dobrynin" <[email-masked]>
> Date: Sun, 26 Jan 2025 09:51:28 +0100
> 
> Eli, Andreas, Robert,
> 
> Apologies for contacting you directly outside the bug tracking system.
> I did reply to Eli's question, but my message never made it to the
> discussion thread at
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=753971
> 
> (Why?)

Maybe Michael (CC'ed) could explain that.

> Anyway, please find my response below.
> 
> Best regards.
> 
> -------------------- Start of forwarded message --------------------
> From: Nickolai Dobrynin <[email-masked]>
> To: [email-masked]
> Subject: Re: bug#75397: 29.4; GNUS message mode lacks Cyrillic support
>  (GNU/Linux)
> Date: Wed, 08 Jan 2025 21:38:34 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Andreas Schwab <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Wed, 08 Jan 2025 17:53:16 +0100
> >> 
> >> On Jan 08 2025, Eli Zaretskii wrote:
> >> 
> >> >> Cc: [email-masked]
> >> >> From: Andreas Schwab <[email-masked]>
> >> >> Date: Mon, 06 Jan 2025 10:36:34 +0100
> >> >> 
> >> >> On Jan 06 2025, Nickolai Dobrynin wrote:
> >> >> 
> >> >> > 1. Type M-gnus to start GNUS.
> >> >> > 2. Start composing a message by pressing 'm'.
> >> >> > 3. Enter the first, say, 5 letters of the Cyrillic alphabet, i.e. абвгд.
> >> >> > 4. Press C-c C-d to save the draft.
> >> >> > 5. Press S D e to resume editing.
> >> >> > 6. Bizarrely enough, instead of "абвгд", you will see a sequence of digits "01234".
> >> >> >
> >> >> > Is this even real?? By the way, this does not occur with ordinary text
> >> >> > files. And everything works fine in the view mode inside the draft
> >> >> > group. Pressing S D e, on the other hand, makes things go haywire.
> >> >> 
> >> >> The problem is that message-dont-send doesn't encode the message when it
> >> >> saves it.
> >> >
> >> > I must be missing something here, because I don't see what you
> >> > describe above:
> >> 
> >> It is about MIME encoding.
> >> 
> >> >   (defun message-dont-send ()
> >> >     "Don't send the message you have been editing.
> >> >   Instead, just auto-save the buffer and then bury it."
> >> >     (interactive nil message-mode)
> >> >     (set-buffer-modified-p t)
> >> >     (save-buffer)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> >> >     (let ((actions message-postpone-actions))
> >> >       (message-bury (current-buffer))
> >> >       (message-do-actions actions)))
> >> 
> >> This just saves the raw buffer contents, but
> >> gnus-summary-resend-message-edit expects it to be a proper RFC2822 mail,
> >> with suitable MIME headers.
> >
> > OK, but then where is it documented that "S D e" in Gnus Summary is
> > supposed to read the draft saved by "C-c C-d" in the mail buffer?
> > Could it be that these two are not supposed to work together?
> >
> > The node "Drafts" in the Gnus manual describesa different procedure.
> > If I follow it, then after typing "D e" in the nndraft:drafts group, I
> > get placed in the *unsent mail* buffer with the correct Cyrillic text.
> >
> > Nickolai, did you try to use these different commands in your
> > scenario?
> 
> I just tried them now, and I can confirm that both "e" and "D e"
> work. Based on the recent discussion, it appears I've made a newbie
> mistake by using "S D e".

Thanks for telling us.  So I'm now closing this bug.